Subject: bug#71386: 29.1; Frame is auto-deleted even when it has multiple tabs

From: martin rudalics <[email-masked]>
Date: Mon, 31 Mar 2025 17:43:57 +0200

>>   > (set-window-prev-buffers nil nil)
 >>   > (setq switch-to-prev-buffer-skip #'always)
 >>
 >> The last two boil down to saying that the selected window is dedicated
 >> to its buffer.
 >>
 >
 > That might be in some way but window-dedicated-p returns nil for that case.

I meant that if you say that the window never showed another buffer
before, you get the same effect as if the window were dedicated to its
buffer.

 >>   >                 (and ;; (window-dedicated-p window) ; <==== THIS WORKS
 >> BETTER
 >>
 >
 > Agree that we don't need the strict window-dedicated-p condition?

Yes, because it's not related to the issue at hand (IIUC).

 > I'd rather make this subject to an option say
 >> 'tab-bar-open-tab-inhibits-delete-frame'.
 >>
 >
 > I assume you meant 'tab-bar-close-tab-inhibits-delete-frame'.

What I meant was that if at least one open tab remains, the frame should
not be deleted.

martin